### Struct

# Clutter Color

#### Description [src]

    struct ClutterColor {
      guint8 red;
      guint8 green;
      guint8 blue;
      guint8 alpha;
    }

A simple type for representing colors.

A `ClutterColor` is expressed as a 4-tuple of values ranging from zero to 255, one for each color channel plus one for the alpha.

The alpha channel is fully opaque at 255 and fully transparent at 0.

###### Structure members

`red`

  Red component, between 0 and 255.

`green`

  Green component, between 0 and 255.

`blue`

  Blue component, between 0 and 255.

`alpha`

  Alpha component, between 0 and 255.

#### Constructors

###### clutter_color_alloc

Allocates a new, transparent black `ClutterColor`.

###### clutter_color_new

Creates a new `ClutterColor` with the given values.

#### Functions

###### clutter_color_from_hls

Converts a color expressed in HLS (hue, luminance and saturation) values into a `ClutterColor`.

###### clutter_color_from_pixel

Converts `pixel` from the packed representation of a four 8 bit channel color to a `ClutterColor`.

###### clutter_color_from_string

Parses a string definition of a color, filling the `ClutterColor`.red, `ClutterColor`.green, `ClutterColor`.blue and `ClutterColor`.alpha fields of `color`.

#### Instance methods

###### clutter_color_copy

Makes a copy of the color structure. The result must be freed using `clutter_color_free()`.

###### clutter_color_equal

Compares two `ClutterColor`s and checks if they are the same.

###### clutter_color_free

Frees a color structure created with `clutter_color_copy()`.

###### clutter_color_hash

Converts a `ClutterColor` to a hash value.

###### clutter_color_init

Initializes `color` with the given values.

###### clutter_color_interpolate

Interpolates between `initial` and `final` `ClutterColor`s using `progress`.

###### clutter_color_to_hls

Converts `color` to the HLS format.

###### clutter_color_to_pixel

Converts `color` into a packed 32 bit integer, containing all the four 8 bit channels used by `ClutterColor`.

###### clutter_color_to_string

Returns a textual specification of `color` in the hexadecimal form `&num;rrggbbaa`, where `r`, `g`, `b` and `a` are hexadecimal digits representing the red, green, blue and alpha components respectively.